#!/usr/bin/env python3.9


from tools import larkify, indent


def test_larkify():
    gr_in = r'''entity(class): n "lit1" s name1:entity1 x name2:entity1 \
                s "lit2" s ", "+entity3 n'''
    gr_out = '''class___entity: "lit1" entity1 entity1 "lit2" entity3 (", " entity3)+'''
    assert gr_out == larkify(gr_in)


def test_indent():
    lines_in = "uno\ndos\ntres"
    lines_out = "    uno\n    dos\n    tres"
    assert lines_out == indent(lines_in)
