#!/usr/bin/env python3.9


from objmodel import *
from atomizer import Atomizer


def test_one():
    orig = BoxFormula(
        ImplFormula(BoxFormula(AtomicFormula("atom1")),
                    DisjFormula(AtomicFormula("atom1"),
                                NegFormula(AtomicFormula("atom2")))))
    res = ["atom1", "atom2"]
    atmr = Atomizer()
    assert set(res) == set(atmr.atoms(orig))
